org.apache.lucene.search

## Class AssertingScorer

- java.lang.Object
- - org.apache.lucene.search.Scorer
  - - org.apache.lucene.search.AssertingScorer

-     public class AssertingScorer
      extends Scorer

  Wraps a Scorer with additional checks

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer

      `Scorer.ChildScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `docID()`
    `int` | `freq()`
    `Collection<Scorer.ChildScorer>` | `getChildren()`
    `Scorer` | `getIn()`
    `DocIdSetIterator` | `iterator()`
    `float` | `score()`
    `String` | `toString()`
    `TwoPhaseIterator` | `twoPhaseIterator()`
    `static Scorer` | `wrap(Random random, Scorer other, boolean canScore)`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `getWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### wrap

          public static Scorer wrap(Random random,
                                    Scorer other,
                                    boolean canScore)

    - #### getIn

          public Scorer getIn()

    - #### score

          public float score()
                      throws IOException

      Specified by:
        `score` in class `Scorer`
      Throws:
        `IOException`

    - #### getChildren

          public Collection<Scorer.ChildScorer> getChildren()

      Overrides:
        `getChildren` in class `Scorer`

    - #### freq

          public int freq()
                   throws IOException

      Specified by:
        `freq` in class `Scorer`
      Throws:
        `IOException`

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `Scorer`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### iterator

          public DocIdSetIterator iterator()

      Specified by:
        `iterator` in class `Scorer`

    - #### twoPhaseIterator

          public TwoPhaseIterator twoPhaseIterator()

      Overrides:
        `twoPhaseIterator` in class `Scorer`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.